/***** Color Chart *****/
/*
Normal Text : #342f2d;
Hover Text : #093696;
*/
/***********************/

:root {
    --main-color: rgba(129, 29, 33, 1);
}

/* 스크롤 효과를 위한 애니메이션 설정 */
@keyframes scroll {
  0% { background-position: 0% 45%; }
  100% { background-position: 0% 80%; }
}

section.main_hero_section {
    min-height: 800px;
}

.main_hero_section_content {
    max-width: 1500px;
    width: 100%;
    height: 650px;
    margin: 0 auto;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url("/img/bg_main_hero.jpg");
    background-position: center;
    background-size: cover;
    border-radius: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

@media screen and (max-width: 1500px) {
    .main_hero_section_content {
        padding: 0 15px;
    }
}

@media screen and (max-width: 640px) {
    .main_hero_section_content {
        border-radius: 0;
    }
}

span.main_hero_section_title {
    font-weight: 700;
    font-size: 70px;
    line-height: 90px;
    color: rgba(255, 255, 255, 1);
    max-width: 1260px;
    width: 100%;
    margin: 0 auto;
    word-break: keep-all;
}

span.main_hero_section_description {
    font-weight: 400;
    font-size: 25px;
    line-height: 30px;
    color: rgba(255, 255, 255, 1);
    margin: 0 auto;
    max-width: 1260px;
    width: 100%;
    margin-top: 45px;
    word-break: keep-all;
}

@media screen and (max-width: 830px) {
    span.main_hero_section_title {
        font-size: 50px;
        line-height: 80px;
    }

    span.main_hero_section_description {
        font-size: 20px;
    }
}

@media screen and (max-width: 640px) {
    span.main_hero_section_title {
        font-size: 36px;
        line-height: 60px;
    }

    span.main_hero_section_description {
        font-size: 20px;
    }
}

section.main_menu_section {
    min-height: revert;
    flex-direction: row;
}

.main_menu_company {
    /*max-width: 640px;*/
    /*max-height: 640px;*/
    aspect-ratio: 1 / 1;
    width: -webkit-fill-available;
    display: flex;
    background: url("/img/main_menu1.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    overflow: hidden;
    position: relative;
}

.main_menu_company::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(129, 29, 33, 0.7);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.main_menu_company:hover::before {
    opacity: 1;
}

.main_menu_product {
    /*max-width: 640px;*/
    /*max-height: 640px;*/
    aspect-ratio: 1 / 1;
    width: -webkit-fill-available;
    display: flex;
    background: url("/img/main_menu2.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    overflow: hidden;
    position: relative;
}

.main_menu_product::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(129, 29, 33, 0.7);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.main_menu_product:hover::before {
    opacity: 1;
}

.main_menu_development {
    /*max-width: 640px;*/
    /*max-height: 640px;*/
    aspect-ratio: 1 / 1;
    width: -webkit-fill-available;
    display: flex;
    background: url("/img/main_menu3.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    overflow: hidden;
    position: relative;
}

.main_menu_development::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(129, 29, 33, 0.7);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.main_menu_development:hover::before {
    opacity: 1;
}

span.main_menu_text {
    font-weight: 700;
    font-size: 45px;
    line-height: 65px;
    text-align: center;
    z-index: 1;
    color: rgba(255, 255, 255, 1);
}

@media screen and (max-width: 640px) {
    section.main_menu_section {
        flex-direction: column;
    }

    .main_menu_company {
        height: 200px;
    }

    .main_menu_product {
        height: 200px;
    }

    .main_menu_development {
        height: 200px;
    }
}

.main_container {
    max-width: 1500px;
    width: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
}

@media screen and (max-width: 1500px) {
    .main_container {
        padding: 0 15px;
    }
}

span.main_section_title {
    font-weight: 700;
    font-size: 20px;
    line-height: 20px;
    color: rgba(129, 29, 33, 1);
}

.main_swiper_text_box {
    display: flex;
    justify-content: space-between;
    margin-top: 45px;
    margin-bottom: 45px;
}

span.main_swiper_text {
    font-weight: 700;
    font-size: 45px;
    line-height: 65px;
}

.swiper_button_wrapper {
    display: flex;
    gap: 20px;
}

button.swiper_prev_button, button.swiper_next_button {
    width: 60px;
    height: 60px;
    border-width: 1px;
    border: 1px solid rgba(0, 0, 0, 1);
    background: none;
}

div#productSwiper {
    width: 470px;
}

.swiper-slide.product-card {
    width: 470px;
    height: 470px;
    border-radius: 50px;
    position: relative;
    background: rgba(248, 248, 248, 1);
    align-content: center;
    text-align: center;
}

.swiper-slide.product-card img {
    object-fit: contain;
    max-width: 90%;
    max-height: 90%;
}

.product-card-text {
    font-weight: 700;
    font-size: 45px;
    line-height: 65px;
    opacity: 0;
    transition: opacity 0.3s ease;
    position: absolute;
    color: rgba(255, 255, 255, 1);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    white-space: nowrap;
    word-break: keep-all;
    z-index: 1;
}

.swiper-slide.product-card::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 50px;
    background: rgba(129, 29, 33, 0.7);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.swiper-slide.product-card:hover {
    scale: 1.05;
    transition: all 0.3s ease;
}

.swiper-slide.product-card:hover::before {
    opacity: 1;
}

.swiper-slide.product-card:hover .product-card-text {
    opacity: 1;
}

section.main_gallery_section {
    background: linear-gradient(166.52deg, #FCF8F5 46.59%, #FFE5CE 116.16%);
}

div#gallerySwiper {
    width: 470px;
    min-height: 530px;
}

.swiper-slide.gallery-card {
    width: 470px;
    height: 400px;
    border-radius: 50px;
    position: relative;
    background: rgba(248, 248, 248, 1);
}

.swiper-slide.gallery-card:hover {
    scale: 1.05;
    transition: all 0.3s ease;
}

.swiper-slide.gallery-card img {
    width: 100%;
    height: 100%;
    border-radius: 50px;
    position: relative;
    background: rgba(248, 248, 248, 1);
    object-fit: cover;
    object-position: center;
}

.main_swiper_text_box.news {
    margin-bottom: 60px;
}

.main_news_tab_buttons {
    display: flex;
    justify-content: space-between;
    margin-bottom: 80px;
}

.main_news_tab_button_wrapper {
    display: flex;
    gap: 20px;
}

.main_news_tab_button {
    width: 200px;
    height: 60px;
    border-radius: 30px;
    border: 1.5px solid rgba(129, 29, 33, 1);
    font-weight: 600;
    font-size: 20px;
    line-height: 20px;
    text-align: center;
    align-content: center;
    color: rgba(129, 29, 33, 1);
}

.main_news_tab_button.active {
    color: white;
    background-color: rgba(129, 29, 33, 1);
}

div#newsSwiper {
    width: 360px;
}

.swiper-slide.news-card {
    width: 360px;
    height: 240px;
    box-shadow: 0px 5px 15px 0px rgba(61, 4, 6, 0.2);
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.swiper-slide.news-card:hover {
    scale: 1.05;
    transition: all 0.3s ease;
}

span.news-card-type {
    font-weight: 500;
    font-size: 20px;
    line-height: 30px;
    color: rgba(129, 29, 33, 1);
    margin-bottom: -30px;
}

span.news-card-title {
    font-weight: 600;
    font-size: 25px;
    /*line-height: 25px;*/
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

span.news-card-date {
    font-weight: 500;
    font-size: 20px;
    line-height: 30px;
    color: rgba(177, 177, 177, 1);
}

@media screen and (max-width: 840px) {
    span.main_swiper_text {
        font-size: 36px;
    }

    .swiper-slide.gallery-card {
        width: 400px !important;
    }
}

@media screen and (max-width: 640px) {

    .main_swiper_text_box {
        flex-direction: column;
        gap: 10px;
    }

    span.main_swiper_text {
        font-size: 25px;
        line-height: 34px;
        word-break: keep-all;
    }

    .swiper_button_wrapper {
        gap: 6px;
        align-self: self-end;
    }

    button.swiper_prev_button, button.swiper_next_button {
        height: 34px;
        width: 34px;
    }

    button.swiper_prev_button svg, button.swiper_next_button svg {
        width: 15px;
    }

    div#productSwiper {
        width: 100%;
    }

    div#gallerySwiper {
        width: 100%;
    }

    div#newsSwiper {
        width: 100%;
    }

    .swiper-slide.product-card {
        width: 100% !important;
        height: revert !important;
        aspect-ratio: 1 / 1 !important;
    }

    .swiper-slide.gallery-card {
        width: 100% !important;
        height: revert !important;
        aspect-ratio: 1 / 1 !important;
    }

    .swiper-slide.news-card {
        width: 100% !important;
    }

    .main_swiper_text_box.news {
        margin-bottom: 20px;
    }

    .main_news_tab_buttons {
        flex-direction: column;
        gap: 20px;
        margin-bottom: 20px;
    }
}

.swiper-button-lock {
    display: revert !important;
}